#/bin/sh

RET=
SDPTOOL_INSTALL_DIR=/usr/local/SDPTool

print_uninstalled()
{
    echo "=================================="
    echo "Package Not Installed to Uninstall"
    echo "Nothing to do ... exiting"
    echo "=================================="
}

check_installed()
{
    if rpm -q --quiet SDPTool ; then 
	return 0
    fi	
    if [ -d "/usr/local/SDPTool" ] ; then
	if [[ $ret ]]; then 
	    return 0
	fi
    fi
    print_uninstalled
    return 1
} 

check_installed
ret=$?
if [ "$ret" -eq 1 ] ; then
    exit 1
fi

reply=
while [[ $reply != "Y" && $reply != "y" && $reply != "N" && $reply != "n" ]]; do
    echo ""
    echo -e -n "\e[1;31mDo you wish to Uninstall the SDPTool. Note: This script will delete SDPTool install folder(Y/N) : \e[0m"
    read reply
done

if [[ $reply = "Y" || $reply = "y" ]]; then
    if [ -f "/etc/SuSE-release" ] ; then
        zypper remove -y SDPTool > uninstall.log
    elif [ -f "/etc/centos-release" ] ; then
        yum remove -y SDPTool > uninstall.log
    elif [ -f "/etc/redhat-release" ] ; then
        yum remove -y SDPTool > uninstall.log
    fi
    if [ -d /usr/local/SDPTool ] ; then
        rm -rf /usr/local/SDPTool
    fi
    echo "Uninstallation completed successfully "
    exit 0
elif [[ $reply = "N" || $reply = "n" ]]; then
  exit 0
fi
