#!/bin/bash

check_installed()
{
    if rpm -q --quiet SDPTool ; then 
	return 1
    fi	
    if [ -d "/usr/local/SDPTool" ] ; then
	if [[ $ret ]]; then 
	    return 1
	fi
    fi
}

uninstall()
{
    if [ -f "/etc/SuSE-release" ] ; then
        zypper remove -y SDPTool > uninstall.log
    elif [ -f "/etc/centos-release" ] ; then
        yum remove -y SDPTool > uninstall.log
    elif [ -f "/etc/redhat-release" ] ; then
        yum remove -y SDPTool > uninstall.log
    fi
    if [ -d /usr/local/SDPTool ] ; then
        rm -rf /usr/local/SDPTool
    fi
}
 
install()
{
   if [ -f "/etc/SuSE-release" ] ; then
	OSVer_11=$(grep "VERSION *= *11" /etc/SuSE-release)
	OSVer_12=$(grep "VERSION *= *12" /etc/SuSE-release)
	if [[ $OSVer_11 ]]; then
            ARCH=`uname -m|grep x86_64 > /dev/null 2>&1`
            if [ $? = 0 ] ; then
		rpm -ivh ./RPMS/sles11_x/*.rpm 2>&1 | tee  install.log
            fi
	elif [[ $OSVer_12 ]]; then
	    rpm -ivh ./RPMS/sles12_x/*.rpm 2>&1 | tee  install.log
	fi
    elif [ -f /etc/redhat-release ] || [ -f /etc/centos-release ]; then
	if [ -f /etc/redhat-release ]; then
            RH6_RELEASE=`grep -i "red hat .* release 6.*" /etc/redhat-release`
            RH7_RELEASE=`grep -i "red hat .* release 7.*" /etc/redhat-release`
	fi
	if [ -f /etc/centos-release ]; then
            CENTOS6_RELEASE=`rpm -qf /etc/centos-release | grep -i "centos-release-6.*"` 
            CENTOS7_RELEASE=`rpm -qf /etc/centos-release | grep -i "centos-release-7.*"` 
	fi
	if [[ $RH7_RELEASE ]] ; then 
	    rpm -ivh ./RPMS/rhel7_x/*.rpm 2>&1 | tee install.log
	elif [[ $CENTOS7_RELEASE ]]; then
	    rpm -ivh ./RPMS/centos7_x/*.rpm 2>&1 | tee install.log
	elif [[ $RH6_RELEASE ]]; then
	    rpm -ivh ./RPMS/rhel6_x/*.rpm 2>&1 | tee install.log
	elif [[ $CENTOS6_RELEASE ]] ; then
	    rpm -ivh ./RPMS/centos6_x/*.rpm 2>&1 | tee install.log
	fi
    fi
}

print_uninstalled()
{
    echo "================================"
    echo "SPDTool Package is not installed"
    echo "Nothing to update ..  exiting"
    echo "================================"
}

echo "Updating SDPTool ... "

check_installed
ret=$?
if [ "$ret" -eq 1 ] ; then
    uninstall
    install
    exit 0
else
    print_uninstalled
    exit 1
fi
